# RSL_anyformat_to_radar

### Synopsis

#include "rsl.h"
Radar *RSL_anyformat_to_radar(char *infile [, char *callid_or_first_file]);

### Description

Reads radar input files. The format of the input file is automatically determined by using magic numbers. The input file may be compressed (with old unix compress or GNU gzip) and the magic numbers are obtained by passing the data through the GNU gzip decompression filter. Magic numbers are standard for the following file formats and, thus, are recognized by RSL_anyformat_to_radar:

WSR-88D (NEXRAD)

HDF (TSDIS format)

LASSEN (version 1.3 and version 1.4 files)

Universal Format (UF)

NSIG (SIGMET version 1 and version 2 raw product files)

MCGILL

RSL output format

RADTEC (SPANDAR, requires PKWARE compression tools)

DORADE

For TOGA and KWAJALEIN files, there is no standard magic information available. It may not be possible for RSL_anyformat_to_radar to recognize them. The optional second argument is valid for reading wsr88d files. See RSL_wsr88d_to_radar. Once the file type is determined, the appropriate ingest routine is called.

In order to reduce the memory requirements during ingest, you can call RSL_select_fields to specify the field types. For instance, you can select to read only DZ from the input file. The input file may contain other fields, but, they will be ignored.

PKWARE compression tools are required for the RADTEC module. The data has been
compressed with implode and must be uncompressed with explode .

### Return value

Upon successful completion, RSL_anyformat_to_radar returns a pointer to the structure Radar. Otherwise, NULL is returned.

### See also

RSL_wsr88d_to_radar, RSL_lassen_to_radar , RSL_read_radar, RSL_uf_to_radar , RSL_toga_to_radar, RSL_nsig_to_radar , RSL_nsig2_to_radar, RSL_mcgill_to_radar RSL_kwaj_to_radar, RSL_radtec_to_radar.

Author: John H. Merritt.